DS_FORMAT_VALUE(3)

EXPERIMENTAL_FUNC
ds_format_value - Format a data value into a string.

SYNOPSIS
#include <karma_ds.h>

void ds_format_value

(char string[STRING_LENGTH], double value, CONST char *value_name, double scale, double offset, double format_value, CONST packet_desc *pack_desc, CONST char *packet)

DESCRIPTION
Format a data value into a string.

string
    The string to write to.

value
    The (raw) value to format.

value_name
    The name of the value to format.

scale
    The scale value to apply to the data. If this is TOOBIG and <<pack_desc>> and <<packet>> are non-NULL, the routine uses the scale and offset attached to the data. See <-ds_get_data_scaling-> for details.

offset
    The offset to apply after scaling the data.

format_value
    The (raw) value to use for beautifying the unit name.

pack_desc
    The packet descriptor containing associated data scaling.

packet
    The packet containing associated data scaling.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/